apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: fulfillorderack-container
spec:
  replicas: 4
  template:
    metadata:
      labels:
        app: fulfillorderack-container
    spec:
      containers:
        - name: fulfillorderack-container
          image: shanepeckham/fulfillorderack:v8
          ports:
            - containerPort: 8080
          env:
            - name: MONGOHOST
              valueFrom:
                secretKeyRef:
                  name: cosmosdb
                  key: mongodburl
            - name: TEAMNAME
              value: team6-LDS0318
          volumeMounts:
            - mountPath: "/orders"
              name: volume
      volumes:
        - name: volume
          persistentVolumeClaim:
            claimName: team6pvc

---
apiVersion: v1
kind: Service
metadata:
    name: fulfillorderack-container
spec:
    selector:
        app: fulfillorderack-container
    ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080

---
kind: StorageClass
apiVersion: storage.k8s.io/v1
metadata:
  name: team6storageclass-westeurope
provisioner: kubernetes.io/azure-file
parameters:
  skuName: Standard_LRS
  location: westeurope
  storageAccount: team6storaccweurope

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: team6pvc
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: team6storageclass
  resources:
    requests:
      storage: 5Gi

---
apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: fulfillorderack-container
  namespace: default
spec:
  scaleTargetRef:
    apiVersion: apps/v1beta1
    kind: Deployment
    name: fulfillorderack-container
  minReplicas: 2
  maxReplicas: 6
  metrics:
  - type: Resource
    resource:
      name: cpu
      targetAverageUtilization: 60
  - type: Pods
    pods:
      metricName: packets-per-second
      targetAverageValue: 500
